Error installing AIRAC 2012 on AS6

I can’t update AIRAC 2012 on AS16.
I use FSX, my Win10 system.
Gives an error never happened

Joao Peralta

Same here, it doesnt run on fs9

strong text

Please, gentlemen - re-download the file. It seems there was/is a download issue on your side.
I have checked the file and it works … possible to clear your browser cache, but the execute-able file works as expected.

Thank you,
Richard

Exactly this file (compare name, size and date please) is include in the zip-file and are downloaded from the webpage (via the zip)
image